SGECOMMDCNTL(8)

NAME
sgecommdcntl - Grid Engine Enterprise Edition communication agent control command

SYNOPSIS
sgecommdcntl [ -d | -k | -t level ] [ -gid commprocname ] [ -h[elp] ] [ -p port ] [ -S ] [ -unreg commprocname id ]

DESCRIPTION
sgecommdcntl can be used to control the behavior of or to retrieve information from a running

OPTIONS

-d  Dump internal structures of the running process to /tmp/commd/commd.dump. The directory /tmp/commd must exist and must have write access to it. The request is ignored otherwise.
    This option is mainly intended for debugging purposes. The functionality of the addressed is not affected.

-k  Kill the addressed Pending communications at the time of a kill request will be discarded immediately, yet the shutdown of a will not leave the processes being connected to the aborting process in an inconsistent state.

-t level
    sgecommdcntl establishes a connection to and displays continuous trace output corresponding the trace level specified by level. The output consists of a subset of the trace output displayed if is invoked with the -ll option.
    Currently the only trace level being supported is 255.

-gid commprocname
    Retrieve communication process identification number of commprocname. Grid Engine Enterprise Edition components which enroll to to be able to communicate with other Grid Engine Enterprise Edition processes are registered by with an unique identification consisting of a name and an identification number. The identification name is identical with the name of the Grid Engine Enterprise Edition component (e.g. sge_qmaster for The identification number can be retrieved by the -gid option.

-help
    Prints a listing of all options.

-p commdport
    Port number to be used in order to address

-S  Forces secure ports to be used for communication between sge_commds and between other Grid Engine Enterprise Edition components and the sge_commds. This requires all Grid Engine Enterprise Edition daemons to be started with root permission and the client programs to be configured set-uid root. In turn, it ensures that unauthorized communication is prohibited for non-root accounts.

-unreg commprocname id
    Unregister Grid Engine Enterprise Edition component commprocname registered with Id id to (see the -gid above for a description of commprocname and id).
    To unregister a Grid Engine Enterprise Edition component from can become necessary if a Grid Engine Enterprise Edition daemon such as or is aborted in an uncontrolled fashion (e.g. by sending the signal SIGKILL via and denies restart of that component with the message error enrolling to commd: COMMPROC ALREADY REGISTERED.
    The registration facility of is used to avoid redundant Grid Engine Enterprise Edition daemons running on the same host. If a Grid Engine Enterprise Edition component is aborted but unable to unregister from the registration is kept alive until a time-out of several minutes passes or until the communication process is unregistered manually.

ENVIRONMENTAL VARIABLES

COMMD_PORT
    If set, specifies the tcp port on which sgecommdcntl is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    If set, specifies the host on which the particular sge_commd to be used for Grid Engine Enterprise Edition communication of sgecommdcntl resides. Per default the local host is used.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.